##################### GENERAL ##################### 
GARNAME = php7
GARVERSION = 5.6.40
GARCH = i686
GARELEASE = 1
HOME_URL = http://php.net/
CATEGORIES = dev
MASTER_SITES += http://php.net/distributions/
DISTFILES = php-$(GARVERSION).tar.xz
MAINTAINER = Felipe Sanchez <izto@asic-linux.com.mx>
LICENSE = GPL



DESCRIPTION = The PHP language
define BLURB
PHP is a popular general-purpose scripting language that is especially suited to web development.
Syntax is similar to C, but differs in many substantial areas.
endef

##################### PACKAGING #####################



define DOINST_APPEND
endef

define SLACK_REQUIRED
httpd
postgresql-libs | postgresql
libmcrypt
freetype
libpng
libjpeg
libxml2
zlib
bzip2
openssl
linux-pam
endef

define SLACK_SUGGESTS
endef

define SLACK_CONFLICTS
endef



##################### BUILDING #####################


CONFIGURE_SCRIPTS = $(WORKSRC)/configure
BUILD_SCRIPTS = $(WORKSRC)/Makefile
INSTALL_SCRIPTS = $(WORKSRC)/Makefile

CONFIGURE_ARGS = $(DIRPATHS)
INSTALL_ARGS = INSTALL_ROOT=$(DESTDIR)
NODIRPATHS = 

INSTALL_DIRS = 

# If some dirs are trying to install into /, list their names
# here, such as: prefix bindir mandir
INSTALL_OVERRIDE_DIRS = 


# Dependencies are of the form categorydir/packagedir
# LIBDEPS are for libraries, and DEPENDS are for everything else
LIBDEPS =
DEPENDS =
# Builddeps are installed in the build DESTIMG
BUILDDEPS =

##################### GAR #####################

# This should go before any hand-made rules.
include config.mk
include ../../gar.mk

##################### CUSTOMIZING #####################



pre-configure:
	@if [ -d $(WORKDIR)/php-$(GARVERSION) ]; then \
	   rm -r $(WORKDIR)/$(DISTNAME);                \
	   mv -v $(WORKDIR)/php-$(GARVERSION) $(WORKDIR)/$(DISTNAME); \
	fi

# APXS needs this
pre-install:
	@install -Dv /etc/apache2/httpd.conf $(DESTDIR)/etc/apache2/httpd.conf
	$(MAKECOOKIE)

# After installing we don't need it
post-install:
	@rm -vf $(DESTDIR)/etc/apache2/httpd.conf
	@rm -vf $(DESTDIR)/etc/apache2/httpd.conf.bak
	@[ ! -f $(DESTDIR)/etc/pear.conf ] || mv -v $(DESTDIR)/etc/pear.conf $(DESTDIR)/etc/pear.conf.new
	@rm -vfr $(DESTDIR)/.filemap
	@rm -vfr $(DESTDIR)/.lock
	@rm -vfr $(DESTDIR)/.registry
	@rm -vfr $(DESTDIR)/.channels
	@rm -vfr $(DESTDIR)/.depdblock
	@rm -vfr $(DESTDIR)/.depdb
	@rm -vfr $(DESTDIR)/usr/lib/php/.lock
	@rm -vfr $(DESTDIR)/usr/lib/php/.depdblock
	@rm -vfr $(DESTDIR)/usr/lib/php/.depdb
	@rm -vfr $(DESTDIR)/usr/lib/php/.registry
	@rm -vfr $(DESTDIR)/usr/lib/php/.channels
	@rm -vfr $(DESTDIR)/usr/lib/php/.filemap
	$(MAKE) gzip-man

	$(MAKECOOKIE)

